Bug 1650185 - Missing image registry-console:v3.10.66 for last ERRATA RHSA-2018:2824 and RHSA-2018:2709
Summary: Missing image registry-console:v3.10.66 for last ERRATA RHSA-2018:2824 and RH...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Release
Version: 3.10.0
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: 3.10.z
Assignee: Samuel Munilla
QA Contact: Wei Sun
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-11-15 14:36 UTC by Alberto Gonzalez de Dios
Modified: 2019-02-27 15:51 UTC (History)
12 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-02-27 15:51:56 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Alberto Gonzalez de Dios 2018-11-15 14:36:56 UTC
Description of problem:
Errata RHSA-2018:2824 and RHSA-2018:2709 of OCP 3.10, uses images 3.10.66. But the image for registry-console is missing. As a consequence, upgrade to new ERRATA fails, as there is no image registry-console:v3.10.66 available.

Before upgrade:
# docker images
REPOSITORY                                                          TAG                 IMAGE ID            CREATED             SIZE
registry.access.redhat.com/rhel7/etcd                               3.2.22              fef709cdf7bf        7 weeks ago         256 MB
registry.access.redhat.com/openshift3/ose-node                      v3.10               21037c699d02        2 months ago        1.27 GB
registry.access.redhat.com/openshift3/ose-service-catalog           v3.10               84e7e25ecb39        2 months ago        312 MB
registry.access.redhat.com/openshift3/ose-control-plane             v3.10               43e20e9024ab        2 months ago        789 MB
registry.access.redhat.com/openshift3/ose-web-console               v3.10               45acb119ca80        2 months ago        318 MB
registry.access.redhat.com/openshift3/registry-console              v3.10               be4f3f5e631a        2 months ago        231 MB
registry.access.redhat.com/openshift3/ose-pod                       v3.10.45            22f0f3461da9        2 months ago        214 MB
registry.access.redhat.com/openshift3/ose-template-service-broker   v3.10               5d7b6525c0f4        2 months ago        283 MB

After upgrade:
# docker images
REPOSITORY                                                          TAG                 IMAGE ID            CREATED             SIZE
registry.access.redhat.com/openshift3/ose-node                      v3.10.66            6480476b98a6        2 weeks ago         1.28 GB
registry.access.redhat.com/openshift3/ose-control-plane             v3.10.66            e2088ff55d98        2 weeks ago         792 MB
registry.access.redhat.com/openshift3/ose-web-console               v3.10.66            5d2cc66280e3        2 weeks ago         322 MB
registry.access.redhat.com/openshift3/ose-template-service-broker   v3.10               b2d8dafcd5be        2 weeks ago         286 MB
registry.access.redhat.com/openshift3/ose-pod                       v3.10.66                                                                latest              2dd01afbe8df        3 weeks ago         485 MB
registry.access.redhat.com/rhel7/etcd                               3.2.22              fef709cdf7bf        7 weeks ago         256 MB
registry.access.redhat.com/openshift3/ose-pod                       v3.10.45            22f0f3461da9        2 months ago        214 MB

# docker pull registry.access.redhat.com/openshift3/registry-console:v3.10.66
Trying to pull repository registry.access.redhat.com/openshift3/registry-console ... 
error parsing HTTP 404 response body: invalid character 'F' looking for beginning of value: "File not found.\""


Version-Release number of selected component (if applicable):
OCP 3.10.66 (ERRATA RHSA-2018:2824 and RHSA-2018:2709)

How reproducible:
Upgrade to last ERRATA

# docker pull registry.access.redhat.com/openshift3/registry-console:v3.10.66
Trying to pull repository registry.access.redhat.com/openshift3/registry-console ... 
error parsing HTTP 404 response body: invalid character 'F' looking for beginning of value: "File not found.\""

Comment 7 Luke Meyer 2019-02-21 16:18:11 UTC
v3.10.66 was never released/retagged but there are numerous later v3.10 releases (also for v3.9) -- is this still a problem?


Note You need to log in before you can comment on or make changes to this bug.